Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
FoxitPDFSDKPython2.SearchIndexConfig Class Reference

Inherits FoxitPDFSDKPython2._object.

## Public Member Functions
def | SearchIndexConfig ()
| Constructor.
def | SearchIndexConfig (name, is_available, path, is_selected)
| Constructor, with parameters. More...
def | SearchIndexConfig (search_index_config)
| Constructor, with another search index config object. More...
def | Set (name, is_available, path, is_selected)
| Set values. More...

## Static Public Attributes
| is_available = _fsdk.SearchIndexConfig_is_available
| Specifies whether the serch index is available for selection and searching. true means the index is available, while false means not.
| is_selected = _fsdk.SearchIndexConfig_is_selected
| Specifies whether the search index participates in the search. true means the index is searched as part of the query, while false means it is not searched.
| name = _fsdk.SearchIndexConfig_name
| The name of search index.
| path = _fsdk.SearchIndexConfig_path
| The path of the search index.

## Detailed Description

This class represents search index config.

## Constructor & Destructor Documentation

## ◆ SearchIndexConfig() [1/2]

def FoxitPDFSDKPython2.SearchIndexConfig.SearchIndexConfig | ( |  | name,
|  |  | is_available,
|  |  | path,
|  |  | is_selected
| ) |  |

Constructor, with parameters.

Parameters

  [in] | name | The name of search index.
  [in] | is_available | Specifies whether the serch index is available for selection and searching.
  [in] | path | The path of the search index.
  [in] | is_selected | Specifies whether the search index participates in the search.

## ◆ SearchIndexConfig() [2/2]

def FoxitPDFSDKPython2.SearchIndexConfig.SearchIndexConfig | ( |  | search_index_config | ) |

Constructor, with another search index config object.

Parameters

  [in] | search_index_config | Another search index config object.

## Member Function Documentation

## ◆ Set()

def FoxitPDFSDKPython2.SearchIndexConfig.Set | ( |  | name,
|  |  | is_available,
|  |  | path,
|  |  | is_selected
| ) |  |

Set values.

Parameters

  [in] | name | The name of search index.
  [in] | is_available | Specifies whether the serch index is available for selection and searching.
  [in] | path | The path of the search index.
  [in] | is_selected | Specifies whether the search index participates in the search.

Returns
  None.